//
//  LCGradient+Draw.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 29.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCGradient.h"

@interface LCGradient (Draw)

- (void) drawFromPoint:(CGPoint)p1 toPoint:(CGPoint)p2 inContext:(CGContextRef)context withBlendMode:(CGBlendMode)blendMode inRect:(CGRect)rect;
- (void) drawRadialWithStartCenter:(CGPoint)startCenter toEndCenter:(CGPoint)endCenter withStartRadius:(float)startRadius andEndRadius:(float)endRadius inContext:(CGContextRef)context withBlendMode:(CGBlendMode)blendMode inRect:(CGRect)rect;

@end
