//
//  LCPreferenceController.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 19.03.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

extern NSString *LogoistCorePreference_SnappingEnabledKey;
extern NSString *LogoistCorePreference_SnappingThresholdKey;
extern NSString *LogoistCorePreference_SnappingGuideDisplayTime;

extern NSString *LogoistCorePreference_AnimateAddingObjects;
extern NSString *LogoistCorePreference_AnimateObjectHandles;
extern NSString *LogoistCorePreference_AnimateObjectSelection;
extern NSString *LogoistCorePreference_AnimateApplyPreset;

extern NSString *LogoistCorePreference_HideFiltersWhenMovingHandles;


@interface LCPreferenceController : NSObject

+ (void) setStandardUserDefaults:(BOOL)forceOverwrite;
+ (NSMutableDictionary*) userDefaults;

@end
