//
//  LCShadedBorderFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 20.01.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseBorderFilter.h"
#import <AvisNocturnaCrossCore/ANImageHelper-Bevel.h>

@class LCShadedMaterial;

@interface LCShadedBorderFilter : LCBaseBorderFilter
{
    ANBevelType bevelType;
    LCShadedMaterial *shadedMaterial;
    
    float shadedMaterialRadius;
    float distributionFactor;
    float rotation;
}


@property (assign) ANBevelType bevelType;
@property (retain) LCShadedMaterial *shadedMaterial;

@property (assign) float shadedMaterialRadius;
@property (assign) float distributionFactor;
@property (assign) float rotation;

@end