//
//  ANImageHelper+Distort.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 26.02.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "ANImageHelper.h"
#import "ANGeometryHelper-Defines.h"

@interface ANImageHelper (Distort)

+ (CGImageRef) pinchSide:(ANGeometry_Sides)side ofImage:(CGImageRef)image withStrength:(float)strength;

+ (CGImageRef) perspectiveDistortImage:(CGImageRef)imageRef withTopLeft:(CGPoint)topLeft andBottomLeft:(CGPoint)bottomLeft andTopRight:(CGPoint)topRight andBottomRight:(CGPoint)bottomRight;

+ (CGImageRef) applyAffineTransform:(CGAffineTransform*)transform toImage:(CGImageRef)imageRef;

@end
